apiVersion: constraints.gatekeeper.sh/v1beta1
kind: K8sPSPAllowPrivilegeEscalationContainer
metadata:
  name: psp-allow-privilege-escalation-container
spec:
  match:
    kinds:
      - apiGroups: [""]
        kinds: ["Pod"]
        {{- if .Values.psp_allow_privilege_escalation_container }}
        {{- if .Values.psp_allow_privilege_escalation_container.excludedNamespaces }}
        excludedNamespaces: {{ .Values.psp_allow_privilege_escalation_container.excludedNamespaces | toYaml | nindent 10 }}
        {{- end }}
        {{- end }}
